Generation Framework

## org.eclipse.gmf.codegen.util
Class EmitterSource<T extends org.eclipse.emf.ecore.EObject,E>

    java.lang.Object
      org.eclipse.gmf.codegen.util.EmitterSource<T,E>

    public abstract class EmitterSource<T extends org.eclipse.emf.ecore.EObject,E>

extends java.lang.Object

Constructor Summary
`EmitterSource()`

Method Summary
`void` `dispose()`
`E` `getEmitters(T genModel, boolean isDynamicTemplates)`
`protected abstract E` `newEmitters(T genModel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmitterSource

    public EmitterSource()

Method Detail

### getEmitters

    public E getEmitters(T genModel,
                         boolean isDynamicTemplates)

### dispose

    public void dispose()

### newEmitters

    protected abstract E newEmitters(T genModel)

Generation Framework

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.